@echo off
REM   Copyright 2011 Clausthal University of Technology
REM
REM   Licensed under the Apache License, Version 2.0 (the "License");
REM   you may not use this file except in compliance with the License.
REM   You may obtain a copy of the License at
REM
REM     http://www.apache.org/licenses/LICENSE-2.0
REM
REM   Unless required by applicable law or agreed to in writing, software
REM   distributed under the License is distributed on an "AS IS" BASIS,
REM   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
REM   See the License for the specific language governing permissions and
REM   limitations under the License.
REM
REM ##############################################################################
REM #Skript zur Einrichtung der kabelgebundenen (dot1x) Eduroam Konfiguration 	 #
REM #unter Windows 7           							 #
REM #Autoren: Frederic Schwarzer und Sven Wiesner                                #
REM #Institut fr maschinelle Anlagentechnik und Betriebsfestigkeit, TU Clausthal#
REM #                                                                            #
REM #Erweitert durch:                                                            #
REM #Christian Marg, Rechenzentrum der TU Clausthal                              #
REM #Sven Strickroth, Institut fr Informatik, TU Clausthal  			 #
REM #Erik Nell, Rechenzentrum der TU Clausthal			                 #
REM #                                                                            #
REM #Letzte nderung: 27.09.2011                                                 #
REM ##############################################################################

setlocal enableextensions

cls


:prepareinstall
certutil -enterprise -addstore root "%~dp0dfn-global-root.cer"
certutil -enterprise -addstore ca "%~dp0dfn-global-tuc.cer"
certutil -enterprise -addstore ca "%~dp0dfn-global.cer"

:serviceactivation
sc start dot3svc start= auto
sc config dot3svc start= auto

rem find all windows managed network devices...
for /F %%i IN ('reg query HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Network\{4D36E972-E325-11CE-BFC1-08002BE10318} ^| find "}\{"') do call :getdevname %%i
pause
goto exit

rem check if it is a active wired dotx connection
:getdevname
set DEVICEID=%1
reg query %DEVICEID%\Connection /v PnpInstanceID 2>&1 | find /i "PCI" | find "REG_SZ" >nul

if %ERRORLEVEL%==0 (
for /F "tokens=2 delims=REG_SZ	" %%j IN ('reg query %DEVICEID%\Connection /v Name ^| find "REG_SZ"') do call :installprofile "%%j"
echo/
)
goto :EOF

rem install wired dotx profile
:installprofile
set TEMP=%1
set DEVICENAME=%TEMP:~5,-1%
set TEMP=
netsh lan add profile filename="%~dp0wired.xml" interface="%DEVICENAME%"
goto :EOF

